summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2013-01-12 16:44:09 -0500
committerLuke Shumaker <LukeShu@sbcglobal.net>2013-01-12 17:06:20 -0500
commit6bafdd178eae7fe285a158da7ff6176deb9ca5e2 (patch)
tree457087bc09508a5c0ec97b2f3cc1363c817b1432
parentb453854f5cbc46a46f1a35fb853e252e18951885 (diff)
downloadabslibre-6bafdd178eae7fe285a158da7ff6176deb9ca5e2.tar.gz
abslibre-6bafdd178eae7fe285a158da7ff6176deb9ca5e2.tar.bz2
abslibre-6bafdd178eae7fe285a158da7ff6176deb9ca5e2.zip
libre/{icecat,iceweasel-libre}: fix PGO, make more similar to firefox
The biggest part of that change is using the variable "pkgbase" so they don't all have to be different. Note that I ran firefox through moz-normalize before comparing them.
-rw-r--r--libre/icecat/PKGBUILD135
-rw-r--r--libre/icecat/mozconfig.pgo4
-rw-r--r--libre/iceweasel-libre/PKGBUILD95
-rw-r--r--libre/iceweasel-libre/mozconfig.pgo4
4 files changed, 130 insertions, 108 deletions
diff --git a/libre/icecat/PKGBUILD b/libre/icecat/PKGBUILD
index 9f901f3b6..c94062713 100644
--- a/libre/icecat/PKGBUILD
+++ b/libre/icecat/PKGBUILD
@@ -1,11 +1,15 @@
-# Contributor (ConnochaetOS): Henry Jensen <hjensen@connochaetos.org>
+# Maintainer: Márcio Silva <coadde@lavabit.com>
# Contributor (Parabola): Luke Shumaker <lukeshu@sbcglobal.net>
-# Contributor: Figue <ffigue at gmail>
# Contributor (Parabola): fauno <fauno@kiwwwi.com.ar>
# Contributor (Parabola): vando <facundo@esdebian.org>
# Contributor (Parabola): André Silva <emulatorman@lavabit.com>
-# Maintainer (Parabola): Márcio Silva <coadde@lavabit.com>
+
+# Maintainer (ConnochaetOS): Henry Jensen <hjensen@connochaetos.org>
+
+# Maintainer (Arch) : Ionut Biru <ibiru@archlinux.org>
# Contributor (Arch): Jakub Schmidtke <sjakub@gmail.com>
+
+# Contributor: Figue <ffigue at gmail>
# Thank you very much to the older contributors:
# Contributor: evr <evanroman at gmail>
# Contributor: Muhammad 'MJ' Jassim <UnbreakableMJ@gmail.com>
@@ -20,50 +24,49 @@ pkgrel=1
if [[ -z $pkgbase ]]; then pkgbase=$pkgname; fi
pkgdesc='The GNUzilla web browser, based on Mozilla Firefox. SafeBrowsing and other Google services disabled!'
arch=(
- i686
- mips64el
- x86_64
+ 'i686'
+ 'mips64el'
+ 'x86_64'
)
license=(
- GPL2
- LGPL
- MPL
+ 'GPL2'
+ 'LGPL'
+ 'MPL'
)
depends=(
- alsa-lib
- dbus-glib
- desktop-file-utils
- gtk2
- hicolor-icon-theme
- hunspell
- libevent
- libnotify
- libvpx
- libxt
- mime-types
- mozilla-common
- mozilla-searchplugins
+ 'alsa-lib'
+ 'dbus-glib'
+ 'desktop-file-utils'
+ 'gtk2'
+ 'hicolor-icon-theme'
+ 'hunspell'
+ 'libevent'
+ 'libnotify'
+ 'libvpx'
+ 'libxt'
+ 'mime-types'
+ 'mozilla-common'
+ 'mozilla-searchplugins'
'nss>=3.13.3'
- sqlite3
- startup-notification
+ 'sqlite'
+ 'startup-notification'
)
makedepends=(
- autoconf2.13
- diffutils
- imagemagick
- libidl2
- librsvg
- libxslt
- mesa
- pkg-config
- python2
- unzip
- wireless_tools
- zip
-)
-optdepends=(
- 'wireless_tools: Location detection via available WiFi networks'
+ 'autoconf2.13'
+ 'diffutils'
+ 'imagemagick'
+ 'imake'
+ 'libidl2'
+ 'librsvg'
+ 'libxslt'
+ 'mesa'
+ 'pkg-config'
+ 'python2'
+ 'unzip'
+ 'wireless_tools'
+ 'zip'
)
+optdepends=('wireless_tools: Location detection via available WiFi networks')
if $_pgo; then
makedepends+=(xorg-server-xvfb)
options=(!ccache)
@@ -100,14 +103,14 @@ build() {
mv $pkgname-$pkgver $srcdir/gnuzilla-build
cd $srcdir/gnuzilla-build
- cp $srcdir/mozconfig .mozconfig # Load our build config, disable SafeSearch
+ cp ../mozconfig .mozconfig
if $_pgo; then
cat $srcdir/mozconfig.pgo >> .mozconfig
fi
- patch -Np1 -i $srcdir/$pkgname-install-dir.patch # install to /usr/lib/$pkgname
- patch -Np1 -i $srcdir/xulrunner-copy-stub.patch # small fix
- patch -Np1 -i $srcdir/libre.patch # Remove Google+Mozilla stuff
- #patch -Np1 -i $srcdir/cairo.patch # fix cairo
+ patch -Np1 -i ../$pkgname-install-dir.patch
+ patch -Np1 -i ../xulrunner-copy-stub.patc
+ patch -Np1 -i ../libre.patch
+ #patch -Np1 -i ../cairo.patch
# Fix for use nspr, sqlite and nss external
sed -i 's/\(MOZ_PKG_FATAL_WARNINGS =\).*/\1 0/' \
@@ -132,43 +135,53 @@ build() {
fi
chmod +x build/unix/run-icecat.sh # fix bug for bad file permition
- export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/$pkgname"
- export PYTHON=/usr/bin/python2
+
+ export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/$pkgbase"
+ export PYTHON="/usr/bin/python2"
+ export MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ unset MAKEFLAGS
+
+ if $_pgo; then
+ export MOZ_PGO=1
+ export DISPLAY=:99
+ Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
+ fi
+
+ _fail=0
+ make -f client.mk build || _fail=1
if $_pgo; then
- LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 :99 &
- LD_PRELOAD="" DISPLAY=:99 make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS=$MAKEFLAGS
kill $! || true
- else
- LD_PRELOAD="" make -j1 -f client.mk build MOZ_MAKE_FLAGS=$MAKEFLAGS
fi
+ return $_fail
}
package() {
cd $srcdir/gnuzilla-build
- make -j1 -f client.mk DESTDIR=$pkgdir install
+ make -j1 -f client.mk DESTDIR="$pkgdir" install
- install -Dm644 $srcdir/vendor.js $pkgdir/usr/lib/$pkgname/defaults/pref
+ install -Dm644 ../vendor.js "$pkgdir/usr/lib/$pkgbase/defaults/preferences/vendor.js"
brandingdir=browser/branding/unofficial
icondir=$pkgdir/usr/share/icons/hicolor
for i in 16x16 32x32 48x48; do
- install -Dm644 $brandingdir/default${i/x*/}.png $icondir/$i/apps/$pkgname.png
+ install -Dm644 $brandingdir/default${i/x*/}.png $icondir/$i/apps/$pkgbase.png
done
for d in $pkgname $pkgname-safe; do
install -Dm644 $srcdir/$d.desktop $pkgdir/usr/share/applications/$d.desktop
done
- rm -rf $pkgdir/usr/lib/$pkgname/{dictionaries,hyphenation,searchplugins,plugins}
- ln -sf /usr/share/hunspell $pkgdir/usr/lib/$pkgname/dictionaries
- ln -sf /usr/share/hyphen $pkgdir/usr/lib/$pkgname/hyphenation
- ln -sf /usr/lib/mozilla/plugins $pkgdir/usr/lib/$pkgname/plugins
- ln -sf /usr/lib/mozilla/searchplugins $pkgdir/usr/lib/$pkgname/searchplugins
+ rm -rf "$pkgdir/usr/lib/$pkgbase/"{dictionaries,hyphenation,searchplugins,plugins}
+ ln -s /usr/share/hunspell "$pkgdir/usr/lib/$pkgbase/dictionaries"
+ ln -s /usr/share/hyphen "$pkgdir/usr/lib/$pkgbase/hyphenation"
+ ln -s /usr/lib/mozilla/plugins "$pkgdir/usr/lib/$pkgbase/plugins"
+ ln -s /usr/lib/mozilla/searchplugins "$pkgdir/usr/lib/$pkgbase/searchplugins"
# We don't want the development stuff
- rm -rf $pkgdir/usr/{include,lib/$pkgname-devel,share/idl}
+ rm -r "$pkgdir"/usr/{include,lib/$pkgbase-devel,share/idl}
- # Workaround for now: https://bugzilla.mozilla.org/show_bug.cgi?id=658850
- ln -sf $pkgname $pkgdir/usr/lib/$pkgname/$pkgname-bin
+ #workaround for now
+ #https://bugzilla.mozilla.org/show_bug.cgi?id=658850
+ ln -sf $pkgbase "$pkgdir/usr/lib/$pkgbase/$pkgbase-bin"
}
diff --git a/libre/icecat/mozconfig.pgo b/libre/icecat/mozconfig.pgo
index b0c249ebf..57d11eed0 100644
--- a/libre/icecat/mozconfig.pgo
+++ b/libre/icecat/mozconfig.pgo
@@ -1,4 +1,2 @@
# PGO
-ac_add_options --enable-profile-guided-optimization
-mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
-mk_add_options PYTHONPATH='$(OBJDIR)/_profile/pgo'
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py 10'
diff --git a/libre/iceweasel-libre/PKGBUILD b/libre/iceweasel-libre/PKGBUILD
index b58061577..01be6223d 100644
--- a/libre/iceweasel-libre/PKGBUILD
+++ b/libre/iceweasel-libre/PKGBUILD
@@ -1,11 +1,15 @@
-# Contributor (ConnochaetOS): Henry Jensen <hjensen@connochaetos.org>
+# Maintainer: Márcio Silva <coadde@lavabit.com>
# Contributor (Parabola): Luke Shumaker <lukeshu@sbcglobal.net>
-# Contributor: Figue <ffigue at gmail>
# Contributor (Parabola): fauno <fauno@kiwwwi.com.ar>
# Contributor (Parabola): vando <facundo@esdebian.org>
# Contributor (Parabola): André Silva <emulatorman@lavabit.com>
-# Contributor (Parabola): Márcio Silva <coadde@lavabit.com>
+
+# Maintainer (ConnochaetOS): Henry Jensen <hjensen@connochaetos.org>
+
+# Maintainer (Arch) : Ionut Biru <ibiru@archlinux.org>
# Contributor (Arch): Jakub Schmidtke <sjakub@gmail.com>
+
+# Contributor: Figue <ffigue at gmail>
# Thank you very much to the older contributors:
# Contributor: evr <evanroman at gmail>
# Contributor: Muhammad 'MJ' Jassim <UnbreakableMJ@gmail.com>
@@ -19,17 +23,16 @@ _debrel=1
_debrepo=http://ftp.debian.org/debian/pool/main/
debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
-_pkgname=iceweasel
+pkgbase=iceweasel
pkgname=iceweasel-libre
pkgver=${_debver}.${_debrel}
pkgrel=4
-if [ -z "$pkgname" ]; then pkgname=$_pkgname; fi
+if [[ -z $pkgbase ]]; then pkgbase=$pkgname; fi
if $_pgo; then
pkgname+='-pgo'
fi
-if [[ -z $pkgbase ]]; then pkgbase=$pkgname; fi
pkgdesc="A libre version of Debian Iceweasel, the Browser based on Mozilla Firefox."
arch=(
'i586'
@@ -56,14 +59,15 @@ depends=(
'mime-types'
'mozilla-common'
'mozilla-searchplugins'
- 'nss>=3.13.1'
- 'sqlite3'
+ 'nss>=3.13.3'
+ 'sqlite'
'startup-notification'
)
makedepends=(
'autoconf2.13'
'diffutils'
'imagemagick'
+ 'imake'
'libidl2'
'librsvg'
'libxslt'
@@ -81,6 +85,7 @@ if $_pgo; then
options=(!ccache)
fi
+optdepends=('wireless_tools: Location detection via available WiFi networks')
url="http://www.geticeweasel.org/"
install=iceweasel.install
source=("${_debrepo}/`debfile ${_debname}`_${_debver}.orig.tar.bz2"
@@ -104,17 +109,15 @@ md5sums=('37b9b7eafc8affa9b8a5942f8ff19f8f'
'52e52f840a49eb1d14be1c0065b03a93'
'65f68090d2a69b467bd2707d0c4ea3bd')
-if [ "$_pkgname" != "$pkgname" ]; then
- provides+=("$_pkgname=$pkgver")
- conflicts+=("$_pkgname")
+if [ "$pkgbase" != "$pkgname" ]; then
+ provides+=("$pkgbase=$pkgver")
+ conflicts+=("$pkgbase")
fi
build() {
export QUILT_PATCHES=debian/patches
export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
export QUILT_DIFF_ARGS='--no-timestamps'
- export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/$_pkgname"
- export PYTHON="/usr/bin/python2"
export DEBIAN_BUILD="mozilla-release"
mv debian "${srcdir}/${DEBIAN_BUILD}"
cd "${srcdir}/${DEBIAN_BUILD}"
@@ -127,18 +130,17 @@ build() {
quilt push -a
- patch -Np1 -i "$srcdir/Bug-756390-Make-the-Reset-Firefox-feature-more-gener.patch" # Adding fixed Bug-756390-Make-the-Reset-Firefox-feature-more-gener.patch
- patch -Np1 -i "$srcdir/iceweasel-install-dir.patch" # install to /usr/lib/$_pkgname
- patch -Np1 -i "$srcdir/xulrunner-copy-stub.patch" # small fix
- patch -Np1 -i "$srcdir/libre.patch"
- patch -Np1 -i "$srcdir/shared-libs.patch"
-
- cp "$srcdir/mozconfig" .mozconfig # Load our build config, disable SafeSearch
-
+ cp ../mozconfig .mozconfig
if $_pgo; then
cat "$srcdir/mozconfig.pgo" >> .mozconfig
fi
+ patch -Np1 -i ../Bug-756390-Make-the-Reset-Firefox-feature-more-gener.patch
+ patch -Np1 -i ../iceweasel-install-dir.patch
+ patch -Np1 -i ../xulrunner-copy-stub.patch
+ patch -Np1 -i ../libre.patch
+ patch -Np1 -i ../shared-libs.patch
+
# From js on abslibre-mips64el.git
if [ "$CARCH" = "mips64el" ]; then
msg "Force disabling JIT."
@@ -155,7 +157,7 @@ build() {
browser/base/Makefile.in
# This is a bug, we should fix it.
- if [ "$CARCH" = "mips64el" ]; then
+ if [ $CARCH = mips64el ]; then
# Fix MIPS N32 support.
sed -i 's/defined(_ABIO32)/(defined(_ABIO32) || defined(_ABIN32))/' \
js/src/assembler/wtf/Platform.h
@@ -168,44 +170,55 @@ build() {
echo 'ac_add_options --disable-jemalloc' >> .mozconfig
fi
+ export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/$pkgbase"
+ export PYTHON="/usr/bin/python2"
+ export MOZ_MAKE_FLAGS="$MAKEFLAGS"
+ unset MAKEFLAGS
+
+ if $_pgo; then
+ export MOZ_PGO=1
+ export DISPLAY=:99
+ Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
+ fi
+
+ _fail=0
+ make -f client.mk build || _fail=1
+
if $_pgo; then
- LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 :99 &
- LD_PRELOAD="" DISPLAY=:99 make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS="$MAKEFLAGS"
kill $! || true
- else
- LD_PRELOAD="" make -j1 -f client.mk build MOZ_MAKE_FLAGS="$MAKEFLAGS"
fi
+ return $_fail
}
package() {
cd "${srcdir}/${DEBIAN_BUILD}"
make -j1 -f client.mk DESTDIR="$pkgdir" install
- install -Dm644 "$srcdir"/vendor.js "$pkgdir/usr/lib/$_pkgname/defaults/preferences/vendor.js"
+ install -Dm644 ../vendor.js "$pkgdir/usr/lib/$pkgbase/defaults/preferences/vendor.js"
# I don't even know why we're hitting the objdir, and ConnOS didn't.
_brandingdir=debian/branding
brandingdir=moz-objdir/$_brandingdir
icondir="$pkgdir/usr/share/icons/hicolor"
for i in 16x16 32x32 48x48 64x64; do
- install -Dm644 "$brandingdir/default${i/x*/}.png" "$icondir/$i/apps/$_pkgname.png"
+ install -Dm644 "$brandingdir/default${i/x*/}.png" "$icondir/$i/apps/$pkgbase.png"
done
- install -Dm644 "$brandingdir/mozicon128.png" "$icondir/128x128/apps/$_pkgname.png"
- install -Dm644 "$_brandingdir/iceweasel_icon.svg" "$icondir/scalable/apps/$_pkgname.svg"
+ install -Dm644 "$brandingdir/mozicon128.png" "$icondir/128x128/apps/$pkgbase.png"
+ install -Dm644 "$_brandingdir/iceweasel_icon.svg" "$icondir/scalable/apps/$pkgbase.svg"
- install -d "$pkgdir/usr/share/applications"
- install -m644 debian/iceweasel.desktop "$pkgdir/usr/share/applications"
- #install -m644 debian/iceweasel-safe.desktop "$pkgdir/usr/share/applications"
+ install -Dm644 debian/iceweasel.desktop \
+ "$pkgdir/usr/share/applications/$pkgbase.desktop"
- rm -rf "$pkgdir/usr/lib/$_pkgname/"{dictionaries,hyphenation,searchplugins,plugins}
- ln -sf /usr/share/hunspell "$pkgdir/usr/lib/$_pkgname/dictionaries"
- ln -sf /usr/share/hyphen "$pkgdir/usr/lib/$_pkgname/hyphenation"
- ln -sf /usr/lib/mozilla/plugins "$pkgdir/usr/lib/$_pkgname/plugins"
- ln -sf /usr/lib/mozilla/searchplugins "$pkgdir/usr/lib/$_pkgname/searchplugins"
+ rm -rf "$pkgdir/usr/lib/$pkgbase/"{dictionaries,hyphenation,searchplugins,plugins}
+ ln -s /usr/share/hunspell "$pkgdir/usr/lib/$pkgbase/dictionaries"
+ ln -s /usr/share/hyphen "$pkgdir/usr/lib/$pkgbase/hyphenation"
+ ln -s /usr/lib/mozilla/plugins "$pkgdir/usr/lib/$pkgbase/plugins"
+ ln -s /usr/lib/mozilla/searchplugins "$pkgdir/usr/lib/$pkgbase/searchplugins"
# We don't want the development stuff
- rm -rf "$pkgdir"/usr/{include,lib/$_pkgname-devel,share/idl}
+ rm -r "$pkgdir"/usr/{include,lib/$pkgbase-devel,share/idl}
- # Workaround for now: https://bugzilla.mozilla.org/show_bug.cgi?id=658850
- ln -sf $_pkgname "$pkgdir/usr/lib/$_pkgname/$_pkgname-bin"
+ #workaround for now
+ #https://bugzilla.mozilla.org/show_bug.cgi?id=658850
+ ln -sf $pkgbase "$pkgdir/usr/lib/$pkgbase/$pkgbase-bin"
}
diff --git a/libre/iceweasel-libre/mozconfig.pgo b/libre/iceweasel-libre/mozconfig.pgo
index b0c249ebf..57d11eed0 100644
--- a/libre/iceweasel-libre/mozconfig.pgo
+++ b/libre/iceweasel-libre/mozconfig.pgo
@@ -1,4 +1,2 @@
# PGO
-ac_add_options --enable-profile-guided-optimization
-mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
-mk_add_options PYTHONPATH='$(OBJDIR)/_profile/pgo'
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py 10'